Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.neoworks.jukex.client.html.standard
Class AttributeQuery

    java.lang.Object
      |
      +--com.neoworks.jukex.client.html.standard.AttributeQuery

public class AttributeQuery
extends java.lang.Object

Class representing an Attribute based query

Author:
  Nigel Atkinson (nigel@neoworks.com)

Constructor Summary
`AttributeQuery(Attribute a, java.lang.String c, java.lang.String v)` Public constructor

Method Summary
`Attribute` | `getAttribute()` Get the Attribute
`java.lang.String` | `getComparator()` Get the comparator token
`java.lang.String` | `getValue()` Get the value String
`java.lang.String` | `toString()` Get a String representation of this query

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeQuery

    public AttributeQuery(Attribute a,
                          java.lang.String c,
                          java.lang.String v)

  Public constructor

Parameters:
  `a` - The Attribute to query on
  `c` - The comparator token
  `v` - The value to query for

Method Detail

### getAttribute

    public Attribute getAttribute()

  Get the Attribute

  Returns:
    The Attribute to be queried on

### getComparator

    public java.lang.String getComparator()

  Get the comparator token

  Returns:
    the String comparator token

### getValue

    public java.lang.String getValue()

  Get the value String

  Returns:
    the value

### toString

    public java.lang.String toString()

  Get a String representation of this query

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD